%define name perl-Locale-gettext
%define real_name gettext
%define version 1.05
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/Perl
License:	GPL or Artistic
URL:		http://search.cpan.org/dist/%{real_name}
Source:		http://www.cpan.org/modules/by-module/Locale/%{real_name}-%{version}.tar.bz2
Patch1:		gettext-1.05-SvUTF8_on-on-strings-when-bind_textdomain_codeset-utf8.patch
Patch2:		gettext-1.05-add-iconv.patch
Summary:	Message handling functions for Perl
BuildRequires:	gettext-devel perl-devel
BuildRoot:	%{_tmppath}/%{name}-root
Conflicts:	nlpr <= 0.0.1-2mdk, drakfloppy <= 0.43-10mdk, urpmi <= 3.6-4mdk

%description
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software.

It provides gettext(), dgettext(), dcgettext(), textdomain() and
bindtextdomain().

%prep
%setup -q -n %{real_name}-%{version}
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/Locale/*
%{perl_vendorarch}/auto/Locale/*
%{_mandir}/*/*




%changelog
* Sun Jan 13 2008 Pixel <pixel@mandriva.com> 1.05-6mdv2008.1
+ Revision: 150906
- rebuild for perl 5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Pixel <pixel@mandriva.com> 1.05-5mdv2007.1
+ Revision: 134688
- workaround a segfault (#29248)

* Thu Jan 18 2007 Pixel <pixel@mandriva.com> 1.05-4mdv2007.1
+ Revision: 110360
- when bind_textdomain_codeset to utf8 is done, we know the string returned by
  dgettext (and ngettext...) is utf8. In that case we tell perl it is utf8.
  (it was done for drakxtools, but it really is valid everywhere)
  (!! problems can still occur if bind_textdomain_codeset utf8 is not done!!)
- re-diff patch "add-iconv" and bunzip it

* Wed Aug 16 2006 Olivier Thauvin <nanardon@mandriva.org> 1.05-3mdv2007.0
+ Revision: 56141
- test in %%check
- mkrel
- Import perl-Locale-gettext

* Thu Dec 15 2005 Pixel <pixel@mandriva.com> 1.05-2mdk
- in "add iconv" patch, allow the wanted charset to be undef (meaning standard charset)
  (it was already allowed for the source charset)

* Tue Jun 07 2005 Pascal Terjan <pterjan@mandriva.org> 1.05-1mdk
- New release 1.05

* Tue May 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.04-1mdk
- 1.04
- cleanup spec, drop patch 0 and 1 (merged), rediff patch 2
- drop obsoletes: perl-gettext

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.01-14mdk
- Rebuild for new perl

* Sat Apr 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-13mdk
- relink against fixed libintl

* Wed Apr 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-12mdk
- rebuild for new gettext

